#ifndef VG_SCRIPT_H
#define VG_SCRIPT_H

#define VG_SCRIPT_MAX_SIZE 65536

#define VG_SCRIPT_STATE_IDLE       0
#define VG_SCRIPT_STATE_PROCESSING 1
#define VG_SCRIPT_STATE_WAITING    2

extern int vg_script_mid_execution;

void vg_script_logic(void);
void vg_script_append(char * text);

#endif
